# Disable debug rpm on EPEL/CentOS Stream
%global debug_package %{nil}

# https://github.com/mehdy/keepalived-exporter
%global goipath         github.com/mehdy/keepalived-exporter
Version:                1.3.0

%gometa

%global common_description %{expand:
Prometheus exporter for Keepalived metrics.}

%global golicenses      LICENSE


Name:               keepalived-exporter
Release:            1%{?dist}
Summary:            Prometheus Keepalived exporter
URL:                %{gourl}
License:            GPLv3

Source0:            %{gosource}
Source1:            keepalived-exporter.service

Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd

BuildRequires:      systemd-rpm-macros


%description
%{common_description}

#%%gopkg

%prep
%autosetup -n keepalived-exporter-%{version}

%build
go mod vendor
CGO_ENABLED=0 go build -buildmode pie -compiler gc '-tags=rpm_crashtraceback' -ldflags '-X %{goipath}/version=%{version} -compressdwarf=false -s -w' -o %{gobuilddir}/bin/%{name} %{goipath}/cmd/%{name}

%install
install -D -p -m 0755 %{gobuilddir}/bin/%{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/systemd/system/%{name}.service

%post -e
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_prefix}/lib/systemd/system/%{name}.service
